#if !defined(AFX_COLORBUTTON_H__22079636_B881_45C6_B572_0990EB2C1E7E__INCLUDED_)
#define AFX_COLORBUTTON_H__22079636_B881_45C6_B572_0990EB2C1E7E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ColorButton.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CColorButton window
#include<Stuff\Stuff.hpp>
using namespace Stuff;
class CColorButton : public CButton
{
// Construction
public:
	CColorButton();
	void SetColor(const RGBAColor &col);
	RGBAColor GetRGBAColor();
	void SetColor(const RGBColor &col);
	RGBColor GetRGBColor();
	void SetColor(COLORREF col) { Color=col; }
	COLORREF GetColor() {return Color;}
	// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CColorButton)
	public:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	COLORREF Color;
	virtual ~CColorButton();

	// Generated message map functions
protected:
	//{{AFX_MSG(CColorButton)
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COLORBUTTON_H__22079636_B881_45C6_B572_0990EB2C1E7E__INCLUDED_)
